import request from "@/utils/request";

//台账质量统计表
export function getPwLedgerDataQualityStat(data) {
    return request({
        url: "/device-boot/pwDataQualityStat/getPwLedgerDataQualityStat",
        method: "post",
        data,
    });
}
//监测指标数据质量统计
export function getPwMonitoringIndexDataQualityStat(data) {
    return request({
        url: "/device-boot/pwDataQualityStat/getPwMonitoringIndexDataQualityStat",
        method: "post",
        data,
    });
}
//监测指标数据质量问题汇总统计
export function getPwSummaryStatOfMonitoringIndexDataQualityProblems(data) {
    return request({
        url: "/device-boot/pwDataQualityStat/getPwSummaryStatOfMonitoringIndexDataQualityProblems",
        method: "post",
        data,
    });
}
//台账类数据质量核查
export function getPwQualityCheckOfAccountData(data) {
    return request({
        url: "/device-boot/pwDataQualityCheck/getPwQualityCheckOfAccountData",
        method: "post",
        data,
    });
}
//监测指标数据质量核查
export function getPwMonitoringIndexDataQualityVerification(data) {
    return request({
        url: "/device-boot/pwDataQualityCheck/getPwMonitoringIndexDataQualityVerification",
        method: "post",
        data,
    });
}

//监测点台账数据质量问题
export function getPwQualityProblemsOfMonitoringPointAccountData(data) {
    return request({
        url: "/device-boot/pwDataQualityDetails/getPwQualityProblemsOfMonitoringPointAccountData",
        method: "post",
        data,
    });
}
//稳态指标类数据质量问题查询
export function getPwRStatTargetDetail(data) {
    return request({
        url: "/device-boot/pwDataQualityDetails/getPwRStatTargetDetail",
        method: "post",
        data,
    });
}